## dsme-thermalobject-surface 0.0.1+0m5

=== Makefile ===
#
# Build targets
#
SUBDIRS      := modules

VERSION := 0.0.1

#
# Install files in this directory
#
INSTALL_PERM  := 644
INSTALL_OWNER := $(shell id -u)
INSTALL_GROUP := $(shell id -g)

#
# Compiler and tool flags
# C_OPTFLAGS are not used for debug builds (ifdef DEBUG)
# C_DBGFLAGS are not used for normal builds
#
C_GENFLAGS     := -DPRG_VERSION=$(VERSION) -pthread -g -std=c99 \
                  -Wall -Wwrite-strings -Wmissing-prototypes -Werror
C_OPTFLAGS     := -O2 -s
C_DBGFLAGS     := -g -DDEBUG -DDSME_LOG_ENABLE
C_INCDIRS      := $(TOPDIR)/include $(TOPDIR)/modules $(TOPDIR) 
MKDEP_INCFLAGS := $$(pkg-config --cflags-only-I glib-2.0)


#LD_GENFLAGS := -pthread

# If OSSO_DEBUG is defined, compile in the logging
#ifdef OSSO_LOG
C_OPTFLAGS += -DDSME_LOG_ENABLE
#endif

#
# This is the topdir for build
#
TOPDIR := $(shell /bin/pwd)

#
# Non-target files/directories to be deleted by distclean
#
DISTCLEAN_DIRS	:=	doc tags

#DISTCLN_SUBDIRS := _distclean_tests

#
# Actual rules
#
include $(TOPDIR)/Rules.make

.PHONY: tags
tags:
	find . -name '*.[hc]'  |xargs ctags

.PHONY: doc
doc:
	doxygen

.PHONY: test
test: all
	make -C test depend
	make -C test
	make -C test run

=== modules/Makefile ===
#
# Build targets
#
SO_LIBRARIES    := libthermalobject_surface

#
# Target composition and overrides
#
libthermalobject_surface_C_OBJS := thermalobject_surface.o thermalsensor_battery.o
thermalobject_surface.o:  C_EXTRA_GENFLAGS := -fPIC
thermalsensor_battery.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0)
libthermalobject_surface_EXTRA_LDFLAGS := -lbmeipc $$(pkg-config --libs glib-2.0)

MKDEP_INCFLAGS	:= $$(pkg-config --cflags-only-I glib-2.0 dbus-glib-1)

#
# Install files in this directory
#
INSTALL_PERM    :=      644
INSTALL_OWNER   :=      $(shell id -u)
INSTALL_GROUP   :=      $(shell id -g)

INSTALL_SO_LIBRARIES	=	libthermalobject_surface.so

$(INSTALL_SO_LIBRARIES): INSTALL_PERM := 755
$(INSTALL_SO_LIBRARIES): INSTALL_DIR  := $(DESTDIR)/usr/lib/dsme
INSTALL_INCLUDES                      := 
$(INSTALL_INCLUDES): INSTALL_PERM     := 644
$(INSTALL_INCLUDES): INSTALL_DIR      := $(DESTDIR)/usr/include/dsme

include $(TOPDIR)/Rules.make

=== debian/changelog ===
dsme-thermalobject-surface (0.0.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.0.1+0m5

 -- Chandra Vanipenta <ext-chandra.1.vanipenta@nokia.com>  Tue, 29 Jun 2010 12:18:03 +0300

dsme-thermalobject-surface (0.0.1) unstable; urgency=low

  * libbmeipc-dev and DSME need fixing. Fixes: NB#102989.

 -- Sergey Yakubenko <EXT-Sergey.Yakubenko@nokia.com>  Tue, 22 Jun 2010 11:36:44 +0400

dsme-thermalobject-surface (0.0.0) unstable; urgency=low

  * Initial release.

 -- Sergey Yakubenko <EXT-Sergey.Yakubenko@nokia.com>  Thu, 10 Jun 2010 15:52:42 +0400

=== debian/control ===
Source: dsme-thermalobject-surface
Section: misc
Priority: optional
Maintainer: Sergey Yakubenko <EXT-Sergey.Yakubenko@nokia.com>
Build-Depends: debhelper (>= 4.1.0),
 dsme-dev (>= 0.60.48),
 libbmeipc-dev,
 libdsme0.2.0-dev (>= 0.60.29),
 pkg-config,
 libglib2.0-dev,
 libdbus-1-dev (>= 1.0),
 libdbus-glib-1-dev
Standards-Version: 3.7.2

Package: dsme-thermalobject-surface
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: dsme-thermalobject-surface plugin
 This package contains thermalobject-surface plugin

Package: dsme-thermalobject-surface-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: dsme-thermalobject-surface (= ${binary:Version})
Description: dsme-thermalobject-surface plugin (with debug symbols)
 This package contains thermalobject-surface plugin

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# To build testcases as well, add "testcases" to DEB_BUILD_OPTIONS
ifneq (,$(findstring testcases,$(DEB_BUILD_OPTIONS)))
	DH_OPTIONS=
else
	DH_OPTIONS=-Ndsme-testcases
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

#Architecture
build: build-stamp

build-stamp: configure-stamp

# To build testcases as well, add "testcases" to DEB_BUILD_OPTIONS
ifneq (,$(findstring testcases,$(DEB_BUILD_OPTIONS)))
	$(MAKE) tests
else
	$(MAKE)
endif

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) distclean

	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs

	# Add here commands to install the package into
	# debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	#mkdir $(CURDIR)/debian/tmp/etc/dsme

	# install tests (if needed)
ifneq (,$(findstring testcases,$(DEB_BUILD_OPTIONS)))
	$(MAKE) tests_install DESTDIR=$(CURDIR)/debian/tmp
endif

	dh_install -s

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs -XREADME
	dh_installexamples
	dh_installman
	dh_link
	dh_strip --dbg-package=dsme-thermalobject-surface
	dh_compress
	dh_fixperms
	dh_makeshlibs --exclude=/usr/lib/dsme/
	dh_installdeb
	dh_shlibdeps 
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build install
#	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
#binary-arch: build install
#	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
